/*
 *  PWM_control.h
 *
 *  Created on: 10.07.2024
 *      Author: Hamza
 */

#ifndef INC_EEPROM_H_
#define INC_EEPROM_H_

#include <stm32f3xx_hal.h>
#include <state_machine.h>

void eeprom_init(I2C_HandleTypeDef* hi2c);
void eeprom_dump_status();
void eeprom_write_status();

HAL_StatusTypeDef eeprom_read(uint8_t* data, uint16_t data_length);
HAL_StatusTypeDef eeprom_write(uint8_t* data, uint16_t data_length);

#endif // INC_EEPROM_H_
